| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Certificates

Certificate Definitions and Methods. More...

## Classes
struct | unsp__Certificate
| Certificate data. More...
struct | unsp__GetCertificateListData
| List of Certificate data. More...
struct | unsp__GetCertificateListResult
| Get Certificate List result. More...
struct | unsp__GetCertificateListRequest
| Get Certificate List request. More...
struct | unsp__AccessToken
| Access Token data. More...
struct | unsp__GetAccessTokenListRequest
| Get Access Token List request. More...
struct | unsp__GetAccessTokenListData
| List of Access Token data. More...
struct | unsp__GetAccessTokenListResult
| Get Access Token List result. More...
struct | unsp__RevokeAccessTokenRequest
| Revoke Access Token request. More...
struct | unsp__RevokeAccessTokenResult
| Revoke Access Token result. More...
struct | unsp__AddCertificateRequest
| Add Certificate request. More...
struct | unsp__AddCertificateResult
| Add Certificate result. More...
struct | unsp__GetCertificateRequest
| Get Certificate request. More...
struct | unsp__GetCertificateData
| Certificate data. More...
struct | unsp__GetCertificateResult
| Get Certificate result. More...
struct | unsp__ModifyCertificateRequest
| Modify Certificate request. More...
struct | unsp__ModifyCertificateResult
| Modify Certificate result. More...
struct | unsp__DeleteCertificateRequest
| Delete Certificate request. More...
struct | unsp__DeleteCertificateResult
| Delete Certificate result. More...
struct | unsp__CertKeyUsage
| Certificate Key Usage. More...
struct | unsp__CreateCertificateRequest
| Create Certificate request. More...
struct | unsp__CreateCertificateResult
| Create Certificate result. More...
struct | unsp__CACertificateStore
| Trusted CA Certificate Store data. More...
struct | unsp__GetCACertStoreListData
| List of Trusted CA Certificate Store data. More...
struct | unsp__GetCACertStoreListRequest
| Get Trusted CA Certificate Store List request. More...
struct | unsp__GetCACertStoreListResult
| Get Trusted CA Certificate Store List result. More...
struct | unsp__CRL
| Certificate Revocation List data. More...
struct | unsp__GetCRLListData
| Certificate Revocation List data. More...
struct | unsp__GetCRLListResult
| Get Certificate Revocation List result. More...
struct | unsp__GetCRLListRequest
| Get Certificate Revocation List request. More...
struct | unsp__DeleteCRLRequest
| Delete Certificate Revocation List request. More...
struct | unsp__DeleteCRLResult
| Delete Certificate Revocation List result. More...

## Enumerations
enum | unsp__CertificateStatus { CertUnknown = -1, CertInstalled = 0, CertAlarmed, CertExpired, CertRemoved, CertNotYetValid, CertInvalid }
| Certificate Status. More...
enum | unsp__CrlStatus { CrlUnknown = -1, CrlDownloading = 1, CrlDownloadFailed = 2, CrlRemoved = 3, CrlExpired = 4, CrlAlarmed = 5, CrlInstalled = 15 }
| CRL Status. More...
enum | unsp__CertificateNodeId { Both = 0, Node1 = 1, Node2 = 2 }
| Certificate Node Id. More...
enum | unsp__KeySize { SizeUnknown = -1, Size1024, Size2048, Size4096 }
| Key Size. More...
enum | unsp__CertificateType { CertTypeUnknown = -1, CertCA, CertKeystore, CertPublic }
| Certificate Type. More...
enum | unsp__CertificateSorting { CertSortTypeStatus = 1, CertSortTypeNodeId = 2, CertSortTypeNextAlarm = 3, CertSortTypeValidTo = 4, CertSortTypeIssuer = 15 }
| Certificate Sort Type. More...
enum | unsp__CertificateStatusOperator { CertStatusNotEqual = 3 }
| Certificate Status Operator. More...
enum | unsp__AccessTokenSortType { AccessTokenSortDN = 1, AccessTokenSortTS = 2 }
| Access Token Sort Type. More...
enum | unsp__CreateType { TypeCertSignReq, TypeSelfSignCert }
| Certificate type on creation. More...
enum | unsp__CRLSorting { CrlSortTypeStatus = 1, CrlSortTypeNodeId = 2, CrlSortTypeNextUpdate = 3, CrlSortTypeNextDownload = 4, CrlSortTypeUsage = 5, CrlSortTypeIssuer = 15 }
| CRL Sort Type. More...

## Functions
int | unsp__GetCertificateList (struct unsp__GetCertificateListRequest GetCertificateListReq, struct unsp__GetCertificateListResult *GetCertificateListResult)
| Retrieves the list of Certificates on Openscape Voice. More...
int | unsp__GetAccessTokenList (struct unsp__GetAccessTokenListRequest GetAccessTokenListReq, struct unsp__GetAccessTokenListResult *GetAccessTokenListResult)
| Retrieves the list of Access Tokens on Openscape Voice. More...
int | unsp__RevokeAccessToken (struct unsp__RevokeAccessTokenRequest RevokeAccessTokenReq, struct unsp__RevokeAccessTokenResult *RevokeAccessTokenResult)
| Revokes an Access Token or all the supported Access Tokens. More...
int | unsp__AddCertificate (struct unsp__AddCertificateRequest AddCertificateReq, struct unsp__AddCertificateResult *AddCertificateResult)
| Add/Upload a certificate. More...
int | unsp__GetCertificate (struct unsp__GetCertificateRequest GetCertificateReq, struct unsp__GetCertificateResult *GetCertificateResult)
| Gets a certificate. More...
int | unsp__ModifyCertificate (struct unsp__ModifyCertificateRequest ModifyCertificateReq, struct unsp__ModifyCertificateResult *ModifyCertificateResult)
| Modifies a certificate(s). More...
int | unsp__DeleteCertificate (struct unsp__DeleteCertificateRequest DeleteCertificateReq, struct unsp__DeleteCertificateResult *DeleteCertificateResult)
| Deletes a certificate(s). More...
int | unsp__CreateCertificate (struct unsp__CreateCertificateRequest CreateCertificateReq, struct unsp__CreateCertificateResult *CreateCertificateResult)
| Creates a new certificate. More...
int | unsp__GetCACertificateStoreList (struct unsp__GetCACertStoreListRequest GetCACertStoreListReq, struct unsp__GetCACertStoreListResult *GetCACertStoreListResult)
| Gets Trusted CA Certificate Stores. More...
int | unsp__GetCRLList (struct unsp__GetCRLListRequest GetCRLListReq, struct unsp__GetCRLListResult *GetCRLListResult)
| Retrieves the Certificate Revocation Lists. More...
int | unsp__DeleteCRL (struct unsp__DeleteCRLRequest DeleteCRLRequest, struct unsp__DeleteCRLResult *DeleteCRLResult)
| Deletes a Certificate Revocation List. More...

## Detailed Description

Certificate Definitions and Methods.

Certificate Management handles the use of Certificates and Certificate Revocation Lists (CRL) for Certificates, used on the SIP (MTLS) interface to initiate a TLS connection between AudioCodes M800-T1 and OpenScape Voice. Mutual authentication is performed for communication between servers. As a result, certificates from the PKI need to be deployed and exchanged when a communication channel is established. As part of this exchange, the certificates' validity needs to be verified and the certificate's revocation status needs to be checked with an up-to-date CRL.

OpenScape Voice provides the appropriate management interface for the administrator to preview and configure the settings of the Certificates and the Certificate Revocation Lists.

## Enumeration Type Documentation

## ◆ unsp__AccessTokenSortType

enum unsp__AccessTokenSortType

Access Token Sort Type.

Enumerator
AccessTokenSortDN | Sort By Directory Number.
AccessTokenSortTS | Sort By Time Stamp.

## ◆ unsp__CertificateNodeId

enum unsp__CertificateNodeId

Certificate Node Id.

Enumerator
Both | Both.
Node1 | First Node.
Node2 | Second Node.

## ◆ unsp__CertificateSorting

enum unsp__CertificateSorting

Certificate Sort Type.

Enumerator
CertSortTypeStatus | Status.
CertSortTypeNodeId | Node Id.
CertSortTypeNextAlarm | Next Alarm.
CertSortTypeValidTo | Valid To.
CertSortTypeIssuer | Issuer.

## ◆ unsp__CertificateStatus

enum unsp__CertificateStatus

Certificate Status.

Enumerator
CertUnknown | Unknown.
CertInstalled | Installed.
CertAlarmed | Alarmed.
CertExpired | Expired.
CertRemoved | Removed.
CertNotYetValid | Not Yet Valid.
CertInvalid | Invalid.

## ◆ unsp__CertificateStatusOperator

enum unsp__CertificateStatusOperator

Certificate Status Operator.

Enumerator
CertStatusNotEqual | Not Equal.

## ◆ unsp__CertificateType

enum unsp__CertificateType

Certificate Type.

Enumerator
CertTypeUnknown | Unknown Certificate.
CertCA | Trusted CA Certificate.
CertKeystore | Certificate Key Store.
CertPublic | Public Certificate.

## ◆ unsp__CreateType

enum unsp__CreateType

Certificate type on creation.

Enumerator
TypeCertSignReq | Certificate Sign Request.
TypeSelfSignCert | Self-signed Certificate.

## ◆ unsp__CRLSorting

enum unsp__CRLSorting

CRL Sort Type.

Enumerator
CrlSortTypeStatus | Status.
CrlSortTypeNodeId | Node Id.
CrlSortTypeNextUpdate | Next Update.
CrlSortTypeNextDownload | Next Download.
CrlSortTypeUsage | Usage.
CrlSortTypeIssuer | Issuer.

## ◆ unsp__CrlStatus

enum unsp__CrlStatus

CRL Status.

Enumerator
CrlUnknown | Unknown.
CrlDownloading | Downloading.
CrlDownloadFailed | Download Failed.
CrlRemoved | Removed.
CrlExpired | Expired.
CrlAlarmed | Alarmed.
CrlInstalled | Installed.

## ◆ unsp__KeySize

enum unsp__KeySize

Key Size.

Enumerator
SizeUnknown | Unknown size.
Size1024 | 1024 bits
Size2048 | 2048 bits
Size4096 | 4096 bits

## Function Documentation

## ◆ unsp__AddCertificate()

unsp__AddCertificate | ( | struct unsp__AddCertificateRequest | AddCertificateReq,
|  | struct unsp__AddCertificateResult * | AddCertificateResult
| ) |  |

Add/Upload a certificate.

Parameters

  AddCertificateReq | API request
  AddCertificateResult | API result

## ◆ unsp__CreateCertificate()

unsp__CreateCertificate | ( | struct unsp__CreateCertificateRequest | CreateCertificateReq,
|  | struct unsp__CreateCertificateResult * | CreateCertificateResult
| ) |  |

Creates a new certificate.

Parameters

  CreateCertificateReq | API request
  CreateCertificateResult | API result

## ◆ unsp__DeleteCertificate()

unsp__DeleteCertificate | ( | struct unsp__DeleteCertificateRequest | DeleteCertificateReq,
|  | struct unsp__DeleteCertificateResult * | DeleteCertificateResult
| ) |  |

Deletes a certificate(s).

Parameters

  DeleteCertificateReq | API request
  DeleteCertificateResult | API result

## ◆ unsp__DeleteCRL()

unsp__DeleteCRL | ( | struct unsp__DeleteCRLRequest | DeleteCRLRequest,
|  | struct unsp__DeleteCRLResult * | DeleteCRLResult
| ) |  |

Deletes a Certificate Revocation List.

Parameters

  DeleteCRLRequest | API request
  DeleteCRLResult | API result

## ◆ unsp__GetAccessTokenList()

unsp__GetAccessTokenList | ( | struct unsp__GetAccessTokenListRequest | GetAccessTokenListReq,
|  | struct unsp__GetAccessTokenListResult * | GetAccessTokenListResult
| ) |  |

Retrieves the list of Access Tokens on Openscape Voice.

Parameters

  GetAccessTokenListReq | API request
  GetAccessTokenListResult | API result

## ◆ unsp__GetCACertificateStoreList()

unsp__GetCACertificateStoreList | ( | struct unsp__GetCACertStoreListRequest | GetCACertStoreListReq,
|  | struct unsp__GetCACertStoreListResult * | GetCACertStoreListResult
| ) |  |

Gets Trusted CA Certificate Stores.

Parameters

  GetCACertStoreListReq | API request
  GetCACertStoreListResult | API result

## ◆ unsp__GetCertificate()

unsp__GetCertificate | ( | struct unsp__GetCertificateRequest | GetCertificateReq,
|  | struct unsp__GetCertificateResult * | GetCertificateResult
| ) |  |

Gets a certificate.

Parameters

  GetCertificateReq | API request
  GetCertificateResult | API result

## ◆ unsp__GetCertificateList()

unsp__GetCertificateList | ( | struct unsp__GetCertificateListRequest | GetCertificateListReq,
|  | struct unsp__GetCertificateListResult * | GetCertificateListResult
| ) |  |

Retrieves the list of Certificates on Openscape Voice.

Parameters

  GetCertificateListReq | API request
  GetCertificateListResult | API result

## ◆ unsp__GetCRLList()

unsp__GetCRLList | ( | struct unsp__GetCRLListRequest | GetCRLListReq,
|  | struct unsp__GetCRLListResult * | GetCRLListResult
| ) |  |

Retrieves the Certificate Revocation Lists.

Parameters

  GetCRLListReq | API request
  GetCRLListResult | API result

## ◆ unsp__ModifyCertificate()

unsp__ModifyCertificate | ( | struct unsp__ModifyCertificateRequest | ModifyCertificateReq,
|  | struct unsp__ModifyCertificateResult * | ModifyCertificateResult
| ) |  |

Modifies a certificate(s).

Parameters

  ModifyCertificateReq | API request
  ModifyCertificateResult | API result

## ◆ unsp__RevokeAccessToken()

unsp__RevokeAccessToken | ( | struct unsp__RevokeAccessTokenRequest | RevokeAccessTokenReq,
|  | struct unsp__RevokeAccessTokenResult * | RevokeAccessTokenResult
| ) |  |

Revokes an Access Token or all the supported Access Tokens.

Parameters

  RevokeAccessTokenReq | API request
  RevokeAccessTokenResult | API result